org.eclipse.gmt.modisco.infra.prefuse.examples.radialgraphview

## Class TreeRootAction

- java.lang.Object
- - GroupAction
  - - org.eclipse.gmt.modisco.infra.prefuse.examples.radialgraphview.TreeRootAction

    public class TreeRootAction
    extends GroupAction

Switch the root of the tree by requesting a new spanning tree at the desired root

### Constructor Summary

Constructors
Constructor and Description
`TreeRootAction(java.lang.String graphGroup)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(double frac)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeRootAction

    public TreeRootAction(java.lang.String graphGroup)

### Method Detail

#### run

    public void run(double frac)